package com.fs.wx.cp.controller;
import com.fs.wx.cp.service.QywxThirdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
//企业微信校验 回调
@RestController
public class MpController {

//    private static WXBizMsgCrypt wxBizMsgCrypt;
    @Autowired
    private  QywxThirdService qywxThirdService;
//    {
//        try {
//            wxBizMsgCrypt = new WXBizMsgCrypt("5lUCAtKF", "UJfTQ5qKTKlegjkXtp1YuzJzxeHlUKvq5GyFbERN1iU", "ww7e678b3a218cca5c");
//        } catch (AesException e) {
//            e.printStackTrace();
//        }
//    }



    /**
     * 功能描述:
     * 应用详情 --> 回调配置中 --> 数据回调URL
     */
    @GetMapping("/data")
    public String data(@RequestParam("msg_signature") String msg_signature,
                       @RequestParam("timestamp") String timestamp,
                       @RequestParam("nonce") String nonce,
                       @RequestParam("echostr") String echostr) {
        System.out.println("数据回调URL-微信调用dataGet请求");
        return qywxThirdService.getVerify(msg_signature, timestamp, nonce, echostr);
    }

    @GetMapping("/com")
    public String com(@RequestParam("msg_signature") String msg_signature,
                       @RequestParam("timestamp") String timestamp,
                       @RequestParam("nonce") String nonce,
                       @RequestParam("echostr") String echostr
    ) {
        System.out.println("数据回调URL-微信调用com Get");

        return qywxThirdService.getVerify(msg_signature, timestamp, nonce, echostr);
    }
    @PostMapping ("/data")
    public String pdata(@RequestBody String requestBody,
                        @RequestParam("msg_signature") String msg_signature,
                        @RequestParam("timestamp") String timestamp,
                        @RequestParam(value = "corpid", required = false) String corpid,
                        @RequestParam("nonce") String nonce) {
        System.out.println("数据回调URL-dataPost");
        String s = qywxThirdService.dataCallback(msg_signature,timestamp,nonce,requestBody);
        return "success";
    }
    @PostMapping("/com")
    public String pcom(@RequestBody String requestBody,
                       @RequestParam("msg_signature") String msg_signature,
                      @RequestParam("timestamp") String timestamp,
                      @RequestParam("nonce") String nonce
                        ){
        System.out.println("数据回调URL-微信调用com post");
        String s = qywxThirdService.instructCallback(msg_signature,timestamp,nonce,requestBody);
        return "success";
    }


//    /**
//     * 功能描述:
//     * 配置回调时调用 该接口进行url校验 解密echostr明文返回
//     *
//     */
//    private String verifyUrl(String msg_signature, String timestamp, String nonce, String echostr) {
//        try {
//            System.err.println(msg_signature + "-|-" + timestamp + "-|-" + nonce + "-|-" + echostr);
//            String s = wxBizMsgCrypt.VerifyURL(msg_signature, timestamp, nonce, echostr);
//            System.out.println(s);
//            return s;
//        } catch (AesException e) {
//            e.printStackTrace();
//        }
//        return null;
//    }


//    /**
//     * 功能描述:
//     * 应用详情 --> 使用配置 --> 业务设置URL
//     */
//    @RequestMapping("/service")
//    public String service(@RequestParam("msg_signature") String msg_signature,
//                          @RequestParam("timestamp") String timestamp,
//                          @RequestParam("nonce") String nonce,
//                          @RequestParam("echostr") String echostr) {
//        System.out.println("业务设置URL-微信调用我了");
//        return verifyUrl(msg_signature, timestamp, nonce, echostr);
//    }
}
